Subject: [alpine-aports] [PATCH] main/libuv: upgrade to 1.8.0

From: Sören Tempel <[email-masked]>
Date: Sun, 10 Jan 2016 01:35:09 +0100

---
 main/libuv/APKBUILD | 43 ++++++++++++++++++++++---------------------
 1 file changed, 22 insertions(+), 21 deletions(-)

diff --git a/main/libuv/APKBUILD b/main/libuv/APKBUILD
index a3b5264..936c915 100644
--- a/main/libuv/APKBUILD
+++ b/main/libuv/APKBUILD
@@ -1,44 +1,45 @@
+# Conttributor: Sören Tempel <[email-masked]>
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=libuv
-pkgver=1.7.5
-_sover=${pkgver%.*}
+pkgver=1.8.0
 pkgrel=0
 pkgdesc="Cross-platform asychronous I/O"
 url="http://libuv.org"
 arch="all"
-license="MIT and BSD and ISC"
+license="MIT BSD ISC"
 depends=""
 depends_dev=""
-makedepends="$depends_dev automake autoconf \
-	libtool linux-headers"
+makedepends="automake autoconf libtool linux-headers"
 install=""
 subpackages="$pkgname-dev"
-source="http://dist.libuv.org/dist/v$pkgver/libuv-v$pkgver.tar.gz"
-_builddir="$srcdir"/libuv-v$pkgver
+source="http://dist.libuv.org/dist/v$pkgver/$pkgname-v$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-v$pkgver
 prepare() {
-	local i
 	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
+	sh autogen.sh || return 1
 }
 
 build() {
 	cd "$_builddir"
-	sh autogen.sh
-	./configure --prefix=/usr
-	make CFLAGS="$CFLAGS -D__USE_MISC" BUILDTYPE=Release
-	install -Dm644 LICENSE \
-		"$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		|| return 1
+	make CFLAGS="$CFLAGS -D__USE_MISC" BUILDTYPE=Release || return 1
 }
 
 package() {
 	cd "$_builddir"
 	make DESTDIR="$pkgdir" install
+	install -Dm644 LICENSE \
+		"$pkgdir"/usr/share/licenses/$pkgname/LICENSE
 }
 
-md5sums="3eca7f9de71d3098028bb28a733f3b5f  libuv-v1.7.5.tar.gz"
-sha256sums="a3af98f00e0a33aa0547475ba2bac876470e076748409bcdde81d3d189e8bdbd  libuv-v1.7.5.tar.gz"
-sha512sums="acb49e7134add1fb0f87a1b089b36a62dcfa664256c538d93b7f09b84615b62e4dfacf7e99e5efc30614fe4927f988786c868e8ba6b41227a0ad1d545b7c67f9  libuv-v1.7.5.tar.gz"
+md5sums="f4229c4360625e973ae933cb92e1faf7  libuv-v1.8.0.tar.gz"
+sha256sums="6511f734da4fe082dacf85967606d600b7bce557bb9b2f0d2539193535323125  libuv-v1.8.0.tar.gz"
+sha512sums="05bb3c94b8e97f0c73e3613a1edd0c73f697509e67107a573454cb274becd8074abf2a8889064bf1392e10b48f2ec380ccd0b34a98b83793c0202601175003d5  libuv-v1.8.0.tar.gz"
-- 
2.7.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---